Package wx :: Class FileTypeInfo

[frames | no frames]

## Type FileTypeInfo

    object --+
             |
            FileTypeInfo

Proxy of C++ FileTypeInfo class

Method Summary
FileTypeInfo | `__init__(self, mimeType, openCmd, printCmd, desc)`
String | `GetDescription(self)`
wxArrayString | `GetExtensions(self)`
size_t | `GetExtensionsCount(self)`
String | `GetIconFile(self)`
int | `GetIconIndex(self)`
String | `GetMimeType(self)`
String | `GetOpenCommand(self)`
String | `GetPrintCommand(self)`
String | `GetShortDesc(self)`
bool | `IsValid(self)`
| `SetIcon(self, iconFile, iconIndex)`
| `SetShortDesc(self, shortDesc)`

Property Summary
| `Description`: See `GetDescription`
| `Extensions`: See `GetExtensions`
| `ExtensionsCount`: See `GetExtensionsCount`
| `IconFile`: See `GetIconFile`
| `IconIndex`: See `GetIconIndex`
| `MimeType`: See `GetMimeType`
| `OpenCommand`: See `GetOpenCommand`
| `PrintCommand`: See `GetPrintCommand`
| `ShortDesc`: See `GetShortDesc` and `SetShortDesc`
| `thisown`: The membership flag

Property Details

### Description

See `GetDescription`

  Get Method:
    `GetDescription`(self)

### Extensions

See `GetExtensions`

  Get Method:
    `GetExtensions`(self)

### ExtensionsCount

See `GetExtensionsCount`

  Get Method:
    `GetExtensionsCount`(self)

### IconFile

See `GetIconFile`

  Get Method:
    `GetIconFile`(self)

### IconIndex

See `GetIconIndex`

  Get Method:
    `GetIconIndex`(self)

### MimeType

See `GetMimeType`

  Get Method:
    `GetMimeType`(self)

### OpenCommand

See `GetOpenCommand`

  Get Method:
    `GetOpenCommand`(self)

### PrintCommand

See `GetPrintCommand`

  Get Method:
    `GetPrintCommand`(self)

### ShortDesc

See `GetShortDesc` and `SetShortDesc`

  Get Method:
    `GetShortDesc`(self)
  Set Method:
    `SetShortDesc`(self, shortDesc)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:18 2007 | http://epydoc.sf.net